Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## portlets.compoze.groupware.mail
Class Message

    java.lang.Object
      portlets.compoze.groupware.AbstractItem
          portlets.compoze.groupware.mail.Message

All Implemented Interfaces:
  java.io.Serializable

Direct Known Subclasses:
  DeliveryReceipt, MeetingRequest, ReturnReceipt, TraceReport, Undeliverable

public class Message
extends AbstractItem
implements java.io.Serializable

This class represents a message.

See Also:
  Serialized Form

Constructor Summary
`Message(java.lang.String sID)` Constructor.

Method Summary
`int` | `getEmbeddedMessageIndex()` Gets the number of attachments for the item.
`Flag` | `getFlag()` Gets the flag from the message.
`java.lang.String` | `getFolderID()` Gets the folder ID of the folder to which this message belongs.
`java.lang.String` | `getFolderName()` Gets the name of the folder to which this message belongs.
`java.lang.String` | `getParentMessageID()` Gets the parent message ID if the message is embedded.
`RecipientInfo` | `getRecipientInfo()` Gets the reciepient info of the message.
`SenderInfo` | `getSenderInfo()` Gets the sender info.
`Sensitivity` | `getSensitivity()` Gets the sensitivity of this Message.
`java.util.Date` | `getTimeReceived()` Gets the time the message was received.
`java.lang.String` | `getToRecipientsDisplay(java.lang.String sPostfix, int iMaxLength)` Gets the to recipients display string with the maximum length.
`boolean` | `isEmbedded()` Gets the message embedded flag.
`boolean` | `isPreventForward()` Gets the prevent forward flag.
`boolean` | `isRead()` Gets the message read flag.
`boolean` | `isReplySentFlag()` Gets the reply sent flag of this message.
`void` | `setEmbeddedMessageIndex(int iEmbeddedMessageIndex)` Sets the number of attachments for the item.
`void` | `setFlag(Flag flag)` Sets the flag from the message.
`void` | `setFolderID(java.lang.String sFolderID)` Sets the folder ID on this message.
`void` | `setFolderName(java.lang.String sFolderName)` Sets the folder name of the message.
`void` | `setIsEmbedded(boolean bIsEmbedded)` Sets the message embedded flag.
`void` | `setIsPreventForward(boolean bIsPreventForward)` Sets the prevent forward flag.
`void` | `setIsRead(boolean bIsRead)` Sets the message read flag.
`void` | `setIsReplySentFlag(boolean bIsReplySentFlag)` Sets the reply sent flag for this message.
`void` | `setParentMessageID(java.lang.String sParentMessageID)` Sets the parent message ID.
`void` | `setRecipientInfo(RecipientInfo recipientInfo)` Sets the reciepient info of the message.
`void` | `setSenderInfo(SenderInfo info)` Sets the sender info of the message.
`void` | `setSensitivity(Sensitivity sensitivity)` Sets the sensitivity of the message.
`void` | `setTimeReceived(java.util.Date timeReceived)` Sets the time the message was received.
`void` | `setToRecipientsDisplay(java.lang.String sToRecipientsDisplay)` Sets the to recipients display.

Methods inherited from class portlets.compoze.groupware.AbstractItem
`getAttachmentCount, getAttachmentInfoArray, getBodyHtml, getBodyText, getBodyTextAsHtml, getDateCreated, getID, getImportance, getIndex, getItemType, getSize, getSizeInKilobytes, getSubject, getSubject, hasAttachment, prettyTruncate, setAttachmentCount, setAttachmentInfoArray, setBodyHtml, setBodyText, setDateCreated, setHasAttachment, setID, setImportance, setIndex, setItemType, setSize, setSubject`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Message

    public Message(java.lang.String sID)

  Constructor.

Parameters:
  `sID` - the message ID

Method Detail

### setFlag

    public void setFlag(Flag flag)

  Sets the flag from the message.

  Parameters:
    `flag` - the flag (may not be `null`)

### getFlag

    public Flag getFlag()

  Gets the flag from the message.

  Returns:
    the flag

### getRecipientInfo

    public RecipientInfo getRecipientInfo()

  Gets the reciepient info of the message.

  Returns:
    the recipient info

### setRecipientInfo

    public void setRecipientInfo(RecipientInfo recipientInfo)

  Sets the reciepient info of the message.

  Parameters:
    `recipientInfo` - the recipient info (may not be `null`)

### getSenderInfo

    public SenderInfo getSenderInfo()

  Gets the sender info.

  Returns:
    the sender info or `null` for none

### setSenderInfo

    public void setSenderInfo(SenderInfo info)

  Sets the sender info of the message.

### isEmbedded

    public boolean isEmbedded()

  Gets the message embedded flag.

  Returns:
    `true` if the message is embedded into another message and `false` otherwise

### setIsEmbedded

    public void setIsEmbedded(boolean bIsEmbedded)

  Sets the message embedded flag.

  Parameters:
    `bIsEmbedded` - `true` if the message is embedded into another message and `false` otherwise

### isRead

    public boolean isRead()

  Gets the message read flag.

  Returns:
    `true` if the message is read and `false` otherwise

### setIsRead

    public void setIsRead(boolean bIsRead)

  Sets the message read flag.

  Parameters:
    `bIsRead` - `true` if the message is read and `false` otherwise

### isReplySentFlag

    public boolean isReplySentFlag()

  Gets the reply sent flag of this message.

  Returns:
    `true` if the reply to this message is sent and `false` otherwise

### setIsReplySentFlag

    public void setIsReplySentFlag(boolean bIsReplySentFlag)

  Sets the reply sent flag for this message.

  Parameters:
    `bIsReplySentFlag` - `true` if the reply to this message is sent and `false` otherwise

### getEmbeddedMessageIndex

    public int getEmbeddedMessageIndex()

  Gets the number of attachments for the item.

  Returns:
    the attachment index of the message (-1 if not embedded)
  See Also:
    `isEmbedded()`

### setEmbeddedMessageIndex

    public void setEmbeddedMessageIndex(int iEmbeddedMessageIndex)

  Sets the number of attachments for the item.

  Parameters:
    `iEmbeddedMessageIndex` - the attachment index of the message (-1 if not embedded)

### getTimeReceived

    public java.util.Date getTimeReceived()

  Gets the time the message was received.

  Returns:
    a date value or `null` for none

### setTimeReceived

    public void setTimeReceived(java.util.Date timeReceived)

  Sets the time the message was received.

  Parameters:
    `timeReceived` - time message was received

### getSensitivity

    public Sensitivity getSensitivity()

  Gets the sensitivity of this Message.

  Returns:
    the sensitivity

### setSensitivity

    public void setSensitivity(Sensitivity sensitivity)

  Sets the sensitivity of the message.

  Parameters:
    `sensitivity` - the message sensitivity (may not be `null`)

### getFolderID

    public java.lang.String getFolderID()

  Gets the folder ID of the folder to which this message belongs.

  Returns:
    folderID or `null` for none

### setFolderID

    public void setFolderID(java.lang.String sFolderID)

  Sets the folder ID on this message.

  Parameters:
    `sFolderID` - the folder ID

### getFolderName

    public java.lang.String getFolderName()

  Gets the name of the folder to which this message belongs.

  Returns:
    the folder name or `null` for none

### setFolderName

    public void setFolderName(java.lang.String sFolderName)

  Sets the folder name of the message.

  Parameters:
    `sFolderName` - the folder name

### getParentMessageID

    public java.lang.String getParentMessageID()

  Gets the parent message ID if the message is embedded.

  Returns:
    the parent message ID or `null` if the message is not embedded

### setParentMessageID

    public void setParentMessageID(java.lang.String sParentMessageID)

  Sets the parent message ID.

  Parameters:
    `sParentMessageID` - the parent message ID or `null` for no parent message

### setToRecipientsDisplay

    public void setToRecipientsDisplay(java.lang.String sToRecipientsDisplay)

  Sets the to recipients display.

  Parameters:
    `sToRecipientsDisplay` - the to recipients display to set

### getToRecipientsDisplay

    public java.lang.String getToRecipientsDisplay(java.lang.String sPostfix,
                                                   int iMaxLength)

  Gets the to recipients display string with the maximum length.

  Parameters:
    `sPostfix` - the string to put at the end of the original string (may not be `null`)
    `iMaxLength` - the maximum length of the result (string plus postfix) (must be positive)

### isPreventForward

    public boolean isPreventForward()

  Gets the prevent forward flag.

  Returns:
    `true` if forwarding has been disabled for this message and `false` otherwise

### setIsPreventForward

    public void setIsPreventForward(boolean bIsPreventForward)

  Sets the prevent forward flag.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ©1999-2003 Compoze Software, Inc. All rights reserved.